Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class ComparisonStyle.Default

    java.lang.Object
      org.apache.openjpa.persistence.criteria.ComparisonStyle.Default

All Implemented Interfaces:
  ComparisonStyle

Enclosing interface:
  ComparisonStyle

    public static class ComparisonStyle.Default

extends Object
implements ComparisonStyle

Default implementation.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.openjpa.persistence.criteria.ComparisonStyle
`ComparisonStyle.Default, ComparisonStyle.StringComparisonMode`

Constructor Summary
`ComparisonStyle.Default()`

Method Summary
`boolean` | `excludeDefault()` Affirms if the default-valued attribute be excluded from comparison.
`boolean` | `excludeIdentity()` Affirms if the identity attribute be excluded from comparison.
`boolean` | `excludeNull()` Affirms if the null-valued attribute be excluded from comparison.
`boolean` | `excludeVersion()` Affirms if the version attribute be excluded from comparison.
`ComparisonStyle.StringComparisonMode` | `getStringComparsionMode()` Gets how string-valued attributes be compared.
`boolean` | `isDisjunction()` Affirms if the attribute comparisons are OR'ed.
`ComparisonStyle` | `setDisjunction(boolean flag)` Sets whether the comparison to OR the attribute comparisons.
`ComparisonStyle` | `setExcludeDefault(boolean flag)` Sets whether the comparison excludes default-valued attributes.
`ComparisonStyle` | `setExcludeIdentity(boolean flag)` Sets whether the comparison excludes identity attribute.
`ComparisonStyle` | `setExcludeNull(boolean flag)` Sets whether the comparison excludes null-valued attributes.
`ComparisonStyle` | `setExcludeVersion(boolean flag)` Sets whether the comparison excludes version attribute.
`ComparisonStyle` | `setStringComparisonMode(ComparisonStyle.StringComparisonMode mode)` Sets the comparison mode for String-valued attributes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComparisonStyle.Default

    public ComparisonStyle.Default()

Method Detail

### excludeDefault

    public boolean excludeDefault()

  Description copied from interface: `ComparisonStyle`
  Affirms if the default-valued attribute be excluded from comparison. Defaults to true.

  Specified by:
    `excludeDefault` in interface `ComparisonStyle`

### excludeNull

    public boolean excludeNull()

  Description copied from interface: `ComparisonStyle`
  Affirms if the null-valued attribute be excluded from comparison. Defaults to true.

  Specified by:
    `excludeNull` in interface `ComparisonStyle`

### getStringComparsionMode

    public ComparisonStyle.StringComparisonMode getStringComparsionMode()

  Description copied from interface: `ComparisonStyle`
  Gets how string-valued attributes be compared.

  Specified by:
    `getStringComparsionMode` in interface `ComparisonStyle`

### isDisjunction

    public boolean isDisjunction()

  Description copied from interface: `ComparisonStyle`
  Affirms if the attribute comparisons are OR'ed. Defaults to false.

  Specified by:
    `isDisjunction` in interface `ComparisonStyle`

### setExcludeDefault

    public ComparisonStyle setExcludeDefault(boolean flag)

  Description copied from interface: `ComparisonStyle`
  Sets whether the comparison excludes default-valued attributes.

  Specified by:
    `setExcludeDefault` in interface `ComparisonStyle`

### setExcludeNull

    public ComparisonStyle setExcludeNull(boolean flag)

  Description copied from interface: `ComparisonStyle`
  Sets whether the comparison excludes null-valued attributes.

  Specified by:
    `setExcludeNull` in interface `ComparisonStyle`

### setStringComparisonMode

    public ComparisonStyle setStringComparisonMode(ComparisonStyle.StringComparisonMode mode)

  Description copied from interface: `ComparisonStyle`
  Sets the comparison mode for String-valued attributes.

  Specified by:
    `setStringComparisonMode` in interface `ComparisonStyle`

### setDisjunction

    public ComparisonStyle setDisjunction(boolean flag)

  Description copied from interface: `ComparisonStyle`
  Sets whether the comparison to OR the attribute comparisons.

  Specified by:
    `setDisjunction` in interface `ComparisonStyle`

### excludeIdentity

    public boolean excludeIdentity()

  Description copied from interface: `ComparisonStyle`
  Affirms if the identity attribute be excluded from comparison. Defaults to true.

  Specified by:
    `excludeIdentity` in interface `ComparisonStyle`

### setExcludeIdentity

    public ComparisonStyle setExcludeIdentity(boolean flag)

  Description copied from interface: `ComparisonStyle`
  Sets whether the comparison excludes identity attribute.

  Specified by:
    `setExcludeIdentity` in interface `ComparisonStyle`

### excludeVersion

    public boolean excludeVersion()

  Description copied from interface: `ComparisonStyle`
  Affirms if the version attribute be excluded from comparison. Defaults to true.

  Specified by:
    `excludeVersion` in interface `ComparisonStyle`

### setExcludeVersion

    public ComparisonStyle setExcludeVersion(boolean flag)

  Description copied from interface: `ComparisonStyle`
  Sets whether the comparison excludes version attribute.

  Specified by:
    `setExcludeVersion` in interface `ComparisonStyle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.